Page MenuHomePhabricator

[betalabs-regression] monobook: Highlight button displays checkmark
Closed, ResolvedPublic

Description

  1. In betalabs with monobook skin go to RC page and click in Active filter area, so the drop-down filter selection ids displayed.
  2. Click on 'Highlight results' and select a filter. The checkmark will be displayed instead of the pencil icon. Selecting a filter will simultaneously apply the checkmark to the highlight button.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2017, 11:40 PM
Mooeypoo added subscribers: Volker_E, Mooeypoo.EditedMay 28 2017, 8:08 PM

This is extremely frustrating. Monobook uses apex which defines this:

	&.oo-ui-menuOptionWidget.oo-ui-optionWidget-selected .oo-ui-iconElement-icon {
		background-image: /* checkmark */;
	}

Which means that not only is it putting a checkmark in the option widget itself (see T165446: [betalabs-regression] monobook: cannot de-select a selected filter ) it also overrides the icon of anything at all that has an icon under it. We use a button menu under that uses an icon -- and now Apex' rule above overrides that too.

The selector is WAY to general, making the only way to override it doing !important on a hard-coded location of the icon.

@Volker_E can we please get those icons to be more specific to only the direct descendent of the optionWidget and not work on any icon anywhere under the optionWidget?

Change 356014 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[oojs/ui@master] OptionWidget Apex: Make the icon override more specific

https://gerrit.wikimedia.org/r/356014

Change 356015 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters UI: Make monobook override of the 'checkmark' more specific

https://gerrit.wikimedia.org/r/356015

I've submitted a fix for OOJS-UI to be more specific in the Apex' 'checkmark' override, and a followup dependent fix, for when the ooui is merged+deployed to make the monobook fix follow suit and be more specific too.

Until then, we'll have a slightly broken behavior; the checkmark in the actual option widget itself will go away (so it won't look like you can't uncheck the option anymore) but once you check/uncheck the option the highlight menu will lose its icon -- until the followup OOUI+second commit are merged.

The interim fix (making it possible to uncheck an option, re T165446: [betalabs-regression] monobook: cannot de-select a selected filter ) seemed more important, and so while it will still break the current bug, it seemed a good compromise while we're waiting on ooui.

Change 356014 merged by jenkins-bot:
[oojs/ui@master] Apex theme: Make OptionWidget icon override more specific

https://gerrit.wikimedia.org/r/356014

Change 356015 merged by jenkins-bot:
[mediawiki/core@master] RCFilters UI: Make monobook override of the 'checkmark' more specific

https://gerrit.wikimedia.org/r/356015

Etonkovidova updated the task description. (Show Details)Jun 6 2017, 7:31 AM

Checked in betalabs - looks fixed (though there is another issue with the checkmark not being centered, but it's part of {/T164550}.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Jun 15 2017, 11:19 PM